Subject: bug#63896: [PATCH] Support annotating and sorting the project list during completion

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Jun 2023 18:23:41 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 16 Jun 2023 10:26:05 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> >
> > If project.el wants to access data from an exited compilation, it
> > needs to record that when the compilation exits (via the
> > compilation-finish-functions hook, for example).  Calling
> > format-mode-line will not help you, because if the process doesn't
> > exist, its data cannot be accessed, and relying on what's displayed on
> > the mode line is a bad idea: it could be outdated or even irrelevant.
> > So please don't use such kludges, even though they might look
> > convenient at first sight.
> 
> Would it be OK for compile.el to start storing this data in a variable?
> The number of errors/warnings/infos is already stored; also storing the
> exit status would probably be useful for all kinds of things.

I think it would be okay to store data about the process in a
buffer-local variable, but we need to make sure we store everything
that might be useful.